> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Attributes

Creates a new Attribute request to compute the Entity's attributes.
All available attributes are computed automatically.

Operation Type: 🔄 Asynchronous (Your request is queued for processing. You'll receive a response immediately, and can poll or listen for webhooks to get the final result.)

## Path Parameters

## Returns

Returns an Entity's Attributes object with `status: "in_progress"` and `attributes: null`.
Once processing completes, the status will update to `completed` and the `attributes` object
will be populated. Subscribe to [webhooks](https://docs.methodfi.com/2026-03-30/reference/webhooks/overview.md) or poll the
[retrieve endpoint](https://docs.methodfi.com/2026-03-30/reference/entities/attributes/retrieve.md) to get the final result.

```bash cURL theme={null}
curl https://production.methodfi.com/entities/ent_au22b1fbFJbp8/attributes \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const attribute = await method
  .entities('ent_au22b1fbFJbp8')
  .attributes
  .create();
```

```python Python theme={null}
attribute = method
  .entities('ent_au22b1fbFJbp8')
  .attributes
  .create()
```

```json theme={null}
{
  "id": "attr_dADraNgLBrhgL",
  "entity_id": "ent_EQ3FCTzDUmmCb",
  "status": "in_progress",
  "attributes": null,
  "error": null,
  "created_at": "2026-04-09T17:02:47.910Z",
  "updated_at": "2026-04-09T17:02:47.910Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.